/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "operator.pmh"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
	list.append(new String("fexOperateDL"));
	list.append(new String("fexRayDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master> spMaster)
{
	assertMath(spMaster->typeMaster());

	Library *pLibrary = new Library();

	pLibrary->add<BenderOp>(
			"OperatorSurfaceI.BenderOp.fe");
	pLibrary->add<BloatOp>(
			"OperatorSurfaceI.BloatOp.fe");
	pLibrary->add<FollicleOp>(
			"OperatorSurfaceI.FollicleOp.fe");
	pLibrary->add<GroupOp>(
			"OperatorSurfaceI.GroupOp.fe");
	pLibrary->add<HobbleOp>(
			"OperatorSurfaceI.HobbleOp.fe");
	pLibrary->add<LengthCorrectOp>(
			"OperatorSurfaceI.LengthCorrectOp.fe");
	pLibrary->add<SurfaceAttrLabOp>(
			"OperatorSurfaceI.SurfaceAttrLabOp.fe");
	pLibrary->add<SurfaceBindOp>(
			"OperatorSurfaceI.SurfaceBindOp.fe");
	pLibrary->add<SurfaceNormalOp>(
			"OperatorSurfaceI.SurfaceNormalOp.fe");
	pLibrary->add<SurfaceWrapOp>(
			"OperatorSurfaceI.SurfaceWrapOp.fe");
	pLibrary->add<XRayOp>(
			"OperatorSurfaceI.XRayOp.fe");

	pLibrary->add<NexusOp>(
			"OperatorSurfaceI.NexusOp.fe.nohoudini");
	pLibrary->add<SurfaceAttrCreateOp>(
			"OperatorSurfaceI.SurfaceAttrCreateOp.fe.nohoudini");
	pLibrary->add<SurfaceCopyOp>(
			"OperatorSurfaceI.SurfaceCopyOp.fe.nohoudini");
	pLibrary->add<SurfaceCurveOp>(
			"OperatorSurfaceI.SurfaceCurveOp.fe.nohoudini");
	pLibrary->add<SurfaceSummaryOp>(
			"OperatorSurfaceI.SurfaceSummaryOp.fe.nohoudini");

	pLibrary->add<AttachOp>(
			"OperatorSurfaceI.AttachOp.fe.prototype");
	pLibrary->add<BindEditOp>(
			"OperatorSurfaceI.BindEditOp.fe.prototype");
	pLibrary->add<BrushTestOp>(
			"OperatorSurfaceI.BrushTestOp.fe.prototype");
	pLibrary->add<CurvaceousOp>(
			"OperatorSurfaceI.CurvaceousOp.fe.prototype");
	pLibrary->add<DrawTestOp>(
			"OperatorSurfaceI.DrawTestOp.fe.prototype");
	pLibrary->add<ExcarnateOp>(
			"OperatorSurfaceI.ExcarnateOp.fe.prototype");
	pLibrary->add<FusionOp>(
			"OperatorSurfaceI.FusionOp.fe.prototype");
	pLibrary->add<GridWrapOp>(
			"OperatorSurfaceI.GridWrapOp.fe.prototype");
	pLibrary->add<IdleSpinOp>(
			"OperatorSurfaceI.IdleSpinOp.fe.prototype");
	pLibrary->add<SurfaceWaveOp>(
			"OperatorSurfaceI.SurfaceWaveOp.fe.prototype");

	return pLibrary;
}

}
